Package: groovy.lang

## [Java] Class GroovyRuntimeException

- groovy.lang.GroovyRuntimeException

- An exception thrown by the interpreter

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ModuleNode` | `module`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRuntimeException ()`
    `GroovyRuntimeException (String message)`
    `GroovyRuntimeException (String message, ASTNode node)`
    `GroovyRuntimeException (String message, Throwable cause)`
    `GroovyRuntimeException (Throwable t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getLocationText()`
    `` | `String` | `getMessage()`
    `` | `String` | `getMessageWithoutLocationText()`
    `` | `ModuleNode` | `getModule()`
    `` | `ASTNode` | `getNode()`
    `` | `void` | `setModule(ModuleNode module)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### ModuleNode module

  - ### Constructor Detail

    - #### public GroovyRuntimeException()

    - #### public GroovyRuntimeException(String message)

    - #### public GroovyRuntimeException(String message, ASTNode node)

    - #### public GroovyRuntimeException(String message, Throwable cause)

    - #### public GroovyRuntimeException(Throwable t)

  - ### Method Detail

    - #### protected String getLocationText()

    - #### public String getMessage()

    - #### public String getMessageWithoutLocationText()

    - #### public ModuleNode getModule()

    - #### public ASTNode getNode()

    - #### public void setModule(ModuleNode module)